#
# spec file for package perl-Net-Server (Version 0.87)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         perl-Net-Server
URL:          http://seamons.com/
License:      GPL, Artistic License
Group:        Development/Libraries/Perl
Requires:     perl = %{perl_version}
Autoreqprov:  on
Summary:      Net::Server - Extensible, general Perl server engine
Version:      0.87
Release:      29.4
Source:       Net-Server-%{version}.tar.gz
Patch0:       perl-Net-Server-format-string.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
"Net::Server" attempts to be a generic server as in "Net::Daemon" and
"NetServer::Generic".



Authors:
--------
    Paul T. Seamons <paul@seamons.com>

%prep
%setup -n Net-Server-%{version}
%patch0 -p1

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST Changes
%doc  examples
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/Server.pm
%{perl_vendorlib}/Net/Server
%dir %{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Net/Server
/var/adm/perl-modules/perl-Net-Server

%changelog -n perl-Net-Server
* Mon Apr 18 2005 - sf@suse.de
- fix for #78095 - VUL-0
  use only first string, and add "%%s" as formatstring to syslog
  call
* Thu Feb 26 2004 - choeger@suse.de
- update to most recent version 0.87
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
- updated to version 0.85
* Mon Jun 23 2003 - ro@suse.de
- added directories to filelist
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Dec 02 2002 - sf@suse.de
- initial version 0.84
